#!usr/bin/env python

import serial
import requests
import datetime
import os
date_comp = datetime.datetime.now()
A = str(date_comp.year)
M = str(date_comp.month)
J = str(date_comp.day)
h = str(date_comp.hour)
m = str(date_comp.minute)
s = str(date_comp.second)
date = A + '-' + M + '-' + J + ' ' + h + ':' + m + ':' + s

os.system("ip r | cut -f9 -d' ' > ip_address.txt")

file = open("ip_address.txt", 'r')
ip_address = file.readline()
ip_address = file.readline()[:-1]
file.close()

num_capteur = int(os.path.abspath(".")[-3])

port = "/dev/ttyPR"+str(num_capteur-1)
ser = serial.Serial(port, 9600, timeout=1)
value = ser.readline()

while (ser.inWaiting()==0):
      value = ser.readline()

data = str(float(value[0:4]))

params = {"ip_address": ip_address, "numero": num_capteur, "data": data, "date": date}
r = requests.post("http://projet-p10.plil.fr/IMA3_P10/site/requests.php", data = params)
print(data)
